Bug 765412 - (GLUSTER-3680) quota: enable/disable happens even without providing the full string
quota: enable/disable happens even without providing the full string
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-03 01:31 EDT by Saurabh
Modified: 2013-12-18 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2011-10-03 01:31:16 EDT
[root@Centos-Gurav2 ~]# /opt/glusterfs/3.3.0qa13//sbin/gluster volume quota quota_dist_rep enabl
Quota is already enabled
[root@Centos-Gurav2 ~]# /opt/glusterfs/3.3.0qa13//sbin/gluster volume quota quota_dist_rep off  
Usage: volume quota <VOLNAME> <enable|disable|limit-usage|list|remove> [path] [value]
[root@Centos-Gurav2 ~]# /opt/glusterfs/3.3.0qa13//sbin/gluster volume quota quota_dist_rep disable
Disabling quota will delete all the quota configuration. Do you want to continue? (y/n)  
[root@Centos-Gurav2 ~]# /opt/glusterfs/3.3.0qa13//sbin/gluster volume quota quota_dist_rep disab  
Disabling quota will delete all the quota configuration. Do you want to continue? (y/n) y
Disabling quota has been successful
Comment 1 Junaid 2011-10-03 01:54:52 EDT
Correcting the component..
Comment 2 Junaid 2011-10-03 02:04:11 EDT
Its an enhancement brought by this (86c818a98a18a3b6c33a494202922f1cd275ac7b) commit. Marking as invalid.

Note You need to log in before you can comment on or make changes to this bug.